Subject: Re: How to check out the repository at a particular point in time

From: [email-masked] (Randal L. Schwartz)
Date: Wed, 24 Aug 2011 08:48:13 -0700

>>>>> "Andreas" == Andreas Ericsson <[email-masked]> writes:

Andreas> Whatever, really. The fact that pretty much everyone seems to know
Andreas> what a branch is and how it works in git after a (very) brief intro
Andreas> to it means it's either right on target or that people are so used to
Andreas> the fact that branch means something different in every scm that they
Andreas> don't even bother loading the word with some preconceived notion that
Andreas> used to be right in cvs.

It does lead to confusion though, and once you *really* understand that
a branch is a point, not a line, you can do a lot more cool things with
git, and rebase and stash make a lot more sense.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.posterous.com/ for Smalltalk discussion